{inputs, pkgs, ...}:
{
  xdg.enable = true;

  xdg.portal = {
    enable = true;
    xdgOpenUsePortal = true;

    # configPackages = [ pkgs.hyprland ];
    config = {
      common.default = ["gtk"];
      hyprland.default = ["gtk" "hyprland"];
    };

    extraPortals = [
      pkgs.xdg-desktop-portal-gtk
      pkgs.xdg-desktop-portal-wlr
      pkgs.xdg-desktop-portal-hyprland
    ];
  };


  xdg.mimeApps.defaultApplications = {
    "text/*" = [ "code" ];
    "application/x-yaml" = [ "code" ];

    "application/pdf" = [ "papers" ];
    "image/*" = [ "loupe" ];
    "video/*" = [ "showtime" ];
  };

}
